html {
  font-size: 14px;
}

:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  background-image: url("/background.svg");
  background-repeat: no-repeat;
  background-position: center;

  color-scheme: light dark;
  color: rgba(255, 255, 255, 0.87);

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}
a:hover {
  color: #535bf2;
}

body {
  margin: 0;
  display: flex;
  justify-content: center;
  place-items: center;
  min-width: 320px;
  min-height: 100vh;
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

button {
  line-height: 0;
  font-size: 1.7rem;
  min-width: fit-content;

  border-radius: 15px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;

  font-weight: 500;
  font-family: inherit;

  background-color: #1C1B22;
  
  cursor: pointer;
  transition: 0.1s all ease-in-out;
}
button:hover {
  -webkit-box-shadow: 0px 10px 25px 0px rgba(56,107,32,0.75);
  -moz-box-shadow: 0px 10px 25px 0px rgba(56,107,32,0.75);
  box-shadow: 0px 10px 25px 0px rgba(56,107,32,0.75);
  background-color: #57A732;
}
button:focus,
button:focus-visible {
  outline: none;
}

input[type="checkbox"] {
  appearance: none;
  background-color: rgba(0, 0, 0, 0);
  margin: 0;
  font: inherit;
  color: currentColor;
  width: 1.15em;
  height: 1.15em;
  border: 0.15em solid currentColor;
  border-radius: 0.15em;
  transform: translateY(-0.075em);
  display: grid;
  place-content: center;
}

input[type="checkbox"]::before {
  content: "";
  width: 0.65em;
  height: 0.65em;
  transform: scale(0);
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em var(--form-control-color);
}

input[type="checkbox"]:checked::before {
  transform: scale(1);
  background-color: CanvasText;
  transform-origin: bottom left;
  clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
}

input[type="checkbox"]:focus {
  outline: max(2px, 0.15em) solid currentColor;
  outline-offset: max(2px, 0.15em);
}


@media (prefers-color-scheme: light) {
  :root {
    color: #213547;
  }
  a:hover {
    color: #747bff;
  }
  button {
    background-color: #f9f9f9;
  }
}
